
QGIS Application - Bug report #19974

QGIS crashes when opening  "New 3D Map View"

2018-09-28 07:06 AM - Timur Aptikeev

Status: Closed

Priority: High

Assignee:

Category: 3D

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27796

Description

User Feedback

Report Details

Crash ID: 68bf4581be50f55e6e74853b53033b18edb52eb3

Stack Trace

atiPS :

atiPS :

DrvPresentBuffers :

DrvPresentBuffers :

atiPPHSN :

DrvValidateVersion :

DrvValidateVersion :

wglSwapMultipleBuffers :

wglSwapMultipleBuffers :

wglDescribePixelFormat :

wglChoosePixelFormat :

ChoosePixelFormat :

Qt3DExtras::Qt3DWindow::Qt3DWindow :

QgsCrashHandler::handle :

QgsCrashHandler::handle :

QgisApp::createNew3DMapCanvasDock :

QgisApp::new3DMapCanvas :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :
QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-09-28 05:10 PM - Giovanni Manghi

- Status changed from Open to Feedback

Regardless of the data you loaded in the project? does it happen with a new/clean profile?

#2 - 2018-10-01 11:54 AM - Timur Aptikeev

Giovanni Manghi wrote:

Regardless of the data you loaded in the project? does it happen with a new/clean profile?

Always I have a problems . With any data and projects !

#3 - 2018-10-01 05:51 PM - Giovanni Manghi

Timur Aptikeev wrote:

Giovanni Manghi wrote:

Regardless of the data you loaded in the project? does it happen with a new/clean profile?

Always I have a problems . With any data and projects !

Can you specify the steps you follow and that lead to the crash? thanks.

#4 - 2018-10-02 05:56 AM - Timur Aptikeev

- File click.png added
Giovanni Manghi wrote:

Timur Aptikeev wrote:

Giovanni Manghi wrote:

Regardless of the data you loaded in the project? does it happen with a new/clean profile?

Always I have a problems . With any data and projects !

Can you specify the steps you follow and that lead to the crash? thanks.

When i click on "New 3D Map View"

#5 - 2018-10-02 06:03 AM - Timur Aptikeev

I have this PC

CPU-Z - Текстовый отчет

-------------------------------------------------------------------------

Processors Information

-------------------------------------------------------------------------

    Name            AMD FX-4330

    Codename        Vishera

    Specification        AMD FX-4330 Quad-Core Processor                

    Package         Socket AM3+ (942)

    CPUID            F.2.0

    Extended CPUID        15.2

    Core Stepping        OR-C0

    Technology        32 nm

    TDP Limit        95.1 Watts

Chipset

-------------------------------------------------------------------------

Northbridge            AMD 780G rev. 00

Southbridge            AMD SB700 rev. 00

Memory Type            DDR3

Memory Size            8 GBytes

Mainboard Model        M5A78L-M/USB3 (0x00000344 - 0x950EBE73)

Display Adapters

    Name            AMD 760G

    Board Manufacturer    ASUSTeK Computer Inc.

#6 - 2018-10-02 06:05 AM - Timur Aptikeev
This problem only this PC !!!

#7 - 2018-10-02 10:20 AM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Feedback to Open

- Subject changed from QGIS Crashed when I opening  "New 3D Map View" to QGIS crashes when opening  "New 3D Map View"

Timur Aptikeev wrote:

This problem only this PC !!!

local issue then, maybe graphic card related(?).

#8 - 2018-10-02 10:56 AM - Timur Aptikeev

Giovanni Manghi wrote:

Timur Aptikeev wrote:

This problem only this PC !!!

local issue then, maybe graphic card related(?).

Maybe, it's internal GPU on chipset matherboard but all ather soft working  good.

#9 - 2018-10-02 10:58 AM - Timur Aptikeev

I can't change GPU

#10 - 2018-10-02 11:01 AM - Timur Aptikeev

I tried to change drivers but it's doesn't worked.

#11 - 2018-10-03 02:19 PM - Giovanni Manghi

Timur Aptikeev wrote:

I can't change GPU

I didn't suggested to change your GPU, I just said that maybe is GPU related.

#12 - 2018-11-08 01:31 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#13 - 2019-02-23 08:37 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

Files

click.png 152 KB 2018-10-02 Timur Aptikeev
